<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Substring Text - Test</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div id="console" class="console"></div>
    <script>
        $(function() {
            var $console = $('#console');
            var initPageView = function() {
                //                maskNumberTest();
                maskChineseNameTest();
            }

            var maskNumberTest = function() {
                var number = "123456789012345"
                var result = maskNumber(number);
                $console.text(result);
            }

            var maskChineseNameTest = function() {
                var name = "李文元"
//                var name = "李";
                var result = maskChineseName(name);
                $console.text(result);
            }

            var maskNumber = function(num) {
                //                return num.substring(0, 2);
                var lastIndex = num.length;
                var endPos = lastIndex - 4;
                var firstPos = endPos - 4;
                num = num.substring(0, firstPos) + "****" + num.substring(endPos);
                return num;
            }
            var maskChineseName = function(name) {
                var startLen = name.length - 2;
                var lastIndex = name.length - 1;

                var hideName = '';
                hideName = name.substring(0, 1);
                for (var i = 0; i < startLen; i++) {
                    hideName += '*';
                }
                if(name.length == 2 ){
                    hideName += '*';
                }else if (name.length > 2 ){
                    hideName += name.substring(lastIndex);
                }
                
                return hideName;
            }


            initPageView();

        });

    </script>
</body>

</html>
